/**
 * 		Research Areas Grid
 * 		Block View: views-view--academic-programs-grid
 */


/** Items/Nodes **/

.view-academics-program-grid .view-content .views-row {
  margin-bottom: 30px;
  justify-content: stretch;
}

.view-academics-program-grid .view-content article {
  color: black;
  background-color: white;
  border-radius: 0.375rem;
  height: 100%;
  box-shadow: 0 0.5rem 1rem rgba(0,0,0,0.15);
  -webkit-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.15);
  -moz-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.15);
  transition: all 0.3s ease-in-out;
}

.view-academics-program-grid .view-content article:hover {
  transform: translateY(-7px);
  transition: all 0.3s ease-in-out;
}

.view-academics-program-grid .item-details {
	margin: 0;
	padding: 0 30px 10px 30px;
}

.view-academics-program-grid img {
  width: 100%;
  border-top-left-radius: 0.375rem;
  border-top-right-radius: 0.375rem;
}

.view-academics-program-grid a,
.view-academics-program-grid a:visited,
.view-academics-program-grid a:active,
.view-academics-program-grid a:hover {
  text-decoration: none !important;
  color: black;
}

.view-academics-program-grid a h3 {
  font-size: 1.5rem;
  color: #D73F09;
  text-decoration: none !important;
}

.view-academics-program-grid a:hover h3 {
	color: #D73F09;
  text-decoration: underline !important;
}

.view-academics-program-grid h4 {
  font-size: var(--bs-body-font-size);
  font-weight: bold;
  text-decoration: none !important;
}

.view-academics-program-grid i.bi-arrow-right-circle-fill {
  color: #0d5256;
  font-size: 22px;
  bottom: 10px;
  padding-right: 10px;
  width: 100%;
  display: block;
  text-align: right;
  position: absolute;
  opacity: 50%;
}


/** Items/Nodes Fine print/details **/

.view-academics-program-grid .filter-details {
  padding: 0 30px 30px 30px;
  font-size: smaller;
}

.view-academics-program-grid .filter-details .field--name-field-program-type .field__item {
  display: inline-block;
  margin-right: 5px;
}

.view-academics-program-grid .filter-details .field--name-field-program-location .field__item {
  display: inline-block;
  margin-right: 5px;
}

.view-academics-program-grid .filter-details .field--name-field-program-area-of-interest .field__item {
  display: inline-block;
  margin-right: 5px;
}


/** Exposed Filter **/

.section-academics-program-filters {
  background-color: #e9e5e4;
}

.view-academics-program-grid .bef-exposed-form > .form--inline > .form-item {
  float: none;
  display: block;
  margin-bottom: 0;
}


/** Filter Button Links **/

/* label/wrapper */
.view-academics-program-grid .bef-exposed-form > .form--inline > .form-item > label {
  font-size: 1.3rem;
  font-weight: 600;
  display: block;
  margin: 1rem 1rem 0 1rem;
}

/* button set wrapper */
.view-academics-program-grid .bef-exposed-form > .form--inline > .form-item .bef-links {
  display: flex;
  flex-flow: row;
  justify-content: stretch;
  width: 100%;
  margin-bottom: 0;
}

/* button set */
.view-academics-program-grid .form-type-select.form-item-field-program-location-target-id .bef-links ul,
.view-academics-program-grid .form-type-select.form-item-field-program-type-target-id-1 .bef-links ul {
  list-style: none;
  display: flex;
  flex-flow: row wrap;
  padding: 0;
  margin: 0 1rem 1rem 1rem;
  width: 100%;
}

.view-academics-program-grid .form-type-select.form-item-field-program-location-target-id .bef-links ul li,
.view-academics-program-grid .form-type-select.form-item-field-program-type-target-id-1 .bef-links ul li {
  list-style: none;
  display: flex;
  flex-flow: column;
  flex-grow: 1;
}

.view-academics-program-grid .form-type-select.form-item-field-program-location-target-id .bef-links ul li a,
.view-academics-program-grid .form-type-select.form-item-field-program-type-target-id-1 .bef-links ul li a,
.view-academics-program-grid .form-type-select.form-item-field-program-location-target-id .bef-links ul li a:visited,
.view-academics-program-grid .form-type-select.form-item-field-program-type-target-id-1 .bef-links ul li a:visited {
  color: white;
  text-align: center;   
  padding: 20px;
  margin: 10px 0;
  background-color: #666;  
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}

.view-academics-program-grid .form-type-select.form-item-field-program-location-target-id .bef-links ul li a:active,
.view-academics-program-grid .form-type-select.form-item-field-program-type-target-id-1 .bef-links ul li a:active,
.view-academics-program-grid .form-type-select.form-item-field-program-location-target-id .bef-links ul li a:hover,
.view-academics-program-grid .form-type-select.form-item-field-program-type-target-id-1 .bef-links ul li a:hover {
  background-color: #222;
  border-bottom: 3px solid #black;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}

.view-academics-program-grid .form-type-select.form-item-field-program-location-target-id .bef-links ul li a.bef-link--selected,
.view-academics-program-grid .form-type-select.form-item-field-program-type-target-id-1 .bef-links ul li a.bef-link--selected {
  background-color: #D73F09;
}


/** Filter by Interest field set **/

.view-academics-program-grid .view-filters details.card {
  border: none;
  transition: all 0.3s ease-in-out;
  background-color: transparent !important;
  margin-top: 0 !important;
}

/* Advanced Options field set link/trigger */
.view-academics-program-grid .view-filters details.card summary {
  background-color: transparent !important;
  border: none;
  color: #D73F09;
  font-size: 1.3rem;
  font-weight: 600;
  transition: all 0.3s ease-in-out;
}

.view-academics-program-grid .view-filters details.card summary: hover {
  cursor: pointer;
  text-decoration: underline;
  transition: all 0.3s ease-in-out;
}

.view-academics-program-grid .view-filters details.card .details-wrapper.card-body {
  transition: all 0.3s ease-in-out;  
}

.view-academics-program-grid .view-filters details.card .js-form-item.form-item {
  margin-top: 0;
}

/** Advanced Options/Filter by Interest links **/

.view-academics-program-grid details.card ul {
  padding: 0;
  display:flex;
  flex-flow: row;
  flex-wrap: wrap;
}

.view-academics-program-grid details.card ul li {
  display: flex;
  /*
  flex-grow: 1;
  width: 200px;
  */
  width: 33.33% !important;
  margin:0px;
  padding: 0px;
}

.view-academics-program-grid details.card ul li a,
.view-academics-program-grid details.card ul li a:active,
.view-academics-program-grid details.card ul li a:visited {
  background-color: #fff;
  border-radius: 0.37rem;
  border: 1px solid #c0c0c0;
  margin: 5px;
  padding: 5px;
  width: 100%;
  display: flex;
  align-self: stretch;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-size: .95rem;
}

.view-academics-program-grid details.card ul li a:hover {
  background-color: #dee2e6;  
}

.view-academics-program-grid details.card ul li a.bef-link--selected {
  background-color: #dee2e6;
}

/** Record Count **/

.view-academics-program-grid .row-count {
  text-align: center;
  font-weight: 600;
  font-size: 1.3rem;
}


/** View Reordering Link **/

.view-academics-program-grid .view-reorder {
  width: 100%;
  text-align: right;
}

.view-academics-program-grid .view-reorder a,
.view-academics-program-grid .view-reorder a:visited,
.view-academics-program-grid .view-reorder a:active {
  font-size: small;
  color: #D73F09;
  text-decoration: none;
}

.view-academics-program-grid .view-reorder a:hover {
  text-decoration: underline !important;
}
